Subject: bug#10677: [Chris Leyon] Re: bug#10677: 24.0.93; missing pathmax.h on Solaris

From: Paul Eggert <[email-masked]>
Date: Wed, 01 Feb 2012 20:52:29 -0800

On 02/01/2012 10:43 AM, Chris Leyon wrote:
> autoconf gave an error about a
> "possibly undefined macro" for the new symbol gl_PATHMAX.

These symptoms suggest that autoconf was run without
aclocal -I m4 being run beforehand.  Or perhaps a buggy
set of autotools was used; I would not trust the old tools
shipped with Solaris 10.

Chris, can you please run the distribution tarball that
I just generated from the latest trunk (bzr 107054)?
I used the latest tools, so this should avoid any problems
with old Solaris autotools.  The tarball is temporarily at:

http://cs.ucla.edu/~eggert/emacs-24.0.93-107054.tar.gz

You should be able to untar it and type these commands:

  ./configure --with-x-toolkit=lucid --with-gif=no
  make
  uname -a
  gcc --version
  cat config.log

I just now did this on a Solaris 10 host, and it
worked for me; please see the attached shell transcript.
If it doesn't work for you, please run the same commands
and compare your transcript to mine.

> I added a `m4_pattern_allow' command to m4/gl-comp.m4
> and that made autoconf happy.

Most likely that merely masked the real problem.

> After applying the patch & running autoconf, configure, make, the
> compilation proceeds further but unfortunately now encounters an error
> on the statement `verify (INT_MAX <= PTRDIFF_MAX)'.

If INT_MAX > PTRDIFF_MAX, there's something very wrong with the setup,
and it's a good thing alloc.c caught it.  I expect the above procedure
will help us narrow the problem down.